glslideshow(6)

NAME
glslideshow - slideshow of images using smooth zooming and fades

SYNOPSIS
glslideshow [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--duration seconds] [--zoom percent] [--pan seconds] [--fade seconds] [--titles] [--letterbox | --clip] [--delay usecs] [--fps] [--debug] [--wireframe] [--cutoff int]

DESCRIPTION
Loads a random sequence of images and smoothly scans and zooms around in each, fading from pan to pan. This program requires a good video card capable of supporting large textures. To specify the directory that images are loaded from, run xscreensaver-settings(1) and click on the "Advanced" tab.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--duration seconds
    How long each image will be displayed before loading a new one. Default 30 seconds.

--pan seconds
    How long each pan-and-zoom should last. Default 6 seconds. With the default settings of --pan 6 --duration 30, each image will be displayed five times (30/6), and then a new image will be loaded. If you want a new image to be loaded at each fade, then set --pan and --duration to the same value.

--fade seconds
    How long each cross-fade between images should last. Default 2 seconds. If set to 0, then no cross-fading will be done (all transitions will be jump-cuts.) Note that fades are included in the pan time, so --fade cannot be larger than --pan.

--zoom number
    Amount to zoom and pan as a percentage. Default: 75, meaning that 75% or more of each image will always be visible. If set to 100%, then the images will always fill the screen, and no panning or zooming will occur. (Images will still smoothly fade from one to another if --fade is non-zero.)

--titles
    Whether to print the file name of the current image in the upper left corner.

--letterbox
    In "letterbox" mode, when an image is not the same aspect ratio as the screen, black bars will appear at the top/bottom or left/right so that the whole image can be displayed. This is the default.

--clip
    In "clip" mode, when an image is not the same aspect ratio as the screen, we will zoom in further until the image takes up the whole screen. This is the opposite of --letterbox.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

--fps
    Display the current frame rate, CPU load, and polygon count.

--cutoff number
    If the frame rate we are achieving is lower than this, then panning, fading, and zooming will be disabled. Default 5 FPS. The idea here is that if your machine can't maintain a decent frame rate, then it must not have fast 3D hardware, so we might as well behave in a simpler manner. Set this to 0 to disable this check.

--debug
    Prints debugging info to stderr.

--wireframe
    Another debug mode.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver-settings(1), xscreensaver-getimage(6), xscreensaver(1), carousel(6) photopile(6)

COPYRIGHT
Copyright © 2003-2005 by Jamie Zawinski, based on an earlier version that was Copyright © 2002 by Mike Oliphant. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski and Mike Oliphant.